<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.6.0.slim.min.js" integrity="sha256-u7e5khyithlIdTpu22PHhENmPcRdFiHRjhAuHcs05RI=" crossorigin="anonymous"></script>
    <!-- Google Fonts -->
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;700;900&display=swap" rel="stylesheet">
    <!-- Custom CSS Files -->
    <link rel="stylesheet" href="css/style.css">
    <link rel="shortcut icon" href="favicon.ico" />
    <title>Register</title>
</head>
<body>
    <header></header>
    <div class="container">
        <div class="card">
            <form id="registration-form">
                <div class="form-group">
                    <label for="username">Username:</label>
                    <input type="text" class="form-control" id="username" name="username" placeholder="Select a Username">
                </div>
                <div class="form-group">
                    <label for="email">E-Mail:</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="Enter a valid e-mail address">
                </div>
                <div class="form-group">
                    <label for="password">Password:</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Create a Password">
                </div>
                <div class="form-group">
                    <label for="password_confirmation">Confirm Password:</label>
                    <input type="password" class="form-control" id="password_confirmation" name="password_confirmation" placeholder="Confirm your Password">
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-dark-mine" id="submit_btn" disabled>Register</button>
                </div>
                <div class="warnings">
                    <p class="warning" id = "email_warning">You must enter a valid e-mail address.</p>
                    <p class="warning" id = "password_length_warning">Passwords must be at least 8 characters long.</p>
                    <p class="warning" id = "special_char_warning"></p>
                    <p class="warning" id = "password_case_warning">Passwords must contain both lower and upper case letters.</p>
                    <p class="warning" id = "password_number_warning">Passwords must contain at least 1 number.</p>
                    <p class="warning" id = "password_match_warning">Your passwords don't match.</p>
                    
                </div>
            </form>
        </div>
    </div>
    <footer></footer>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
    <script src="js/animations.js"></script>
    <script src="js/loadComponents.js"></script>
    <script src="js/ajaxUtilities.js"></script>
    <script src="js/authServices.js"></script>
    <script src="js/register.js"></script>
    <script src="js/navbar.js"></script>
</body>
</html>